You are viewing documentation for version 2 of the AWS SDK for Ruby. Version 3 documentation can be found here.
Class: Aws::Route53::Types::ListTrafficPolicyInstancesByPolicyResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::Route53::Types::ListTrafficPolicyInstancesByPolicyResponse
- Defined in:
- (unknown)
Overview
A complex type that contains the response information for the request.
Returned by:
Instance Attribute Summary collapse
-
#hosted_zone_id_marker ⇒ String
If
IsTruncatedistrue,HostedZoneIdMarkeris the ID of the hosted zone of the first traffic policy instance in the next group of traffic policy instances. -
#is_truncated ⇒ Boolean
A flag that indicates whether there are more traffic policy instances to be listed.
-
#max_items ⇒ Integer
The value that you specified for the
MaxItemsparameter in the call toListTrafficPolicyInstancesByPolicythat produced the current response. -
#traffic_policy_instance_name_marker ⇒ String
If
IsTruncatedistrue,TrafficPolicyInstanceNameMarkeris the name of the first traffic policy instance in the next group ofMaxItemstraffic policy instances. -
#traffic_policy_instance_type_marker ⇒ String
If
IsTruncatedistrue,TrafficPolicyInstanceTypeMarkeris the DNS type of the resource record sets that are associated with the first traffic policy instance in the next group ofMaxItemstraffic policy instances. -
#traffic_policy_instances ⇒ Array<Types::TrafficPolicyInstance>
A list that contains one
TrafficPolicyInstanceelement for each traffic policy instance that matches the elements in the request.
Instance Attribute Details
#hosted_zone_id_marker ⇒ String
If IsTruncated is true, HostedZoneIdMarker is the ID of the hosted
zone of the first traffic policy instance in the next group of traffic
policy instances.
#is_truncated ⇒ Boolean
A flag that indicates whether there are more traffic policy instances to
be listed. If the response was truncated, you can get the next group of
traffic policy instances by calling ListTrafficPolicyInstancesByPolicy
again and specifying the values of the HostedZoneIdMarker,
TrafficPolicyInstanceNameMarker, and TrafficPolicyInstanceTypeMarker
elements in the corresponding request parameters.
#max_items ⇒ Integer
The value that you specified for the MaxItems parameter in the call to
ListTrafficPolicyInstancesByPolicy that produced the current response.
#traffic_policy_instance_name_marker ⇒ String
If IsTruncated is true, TrafficPolicyInstanceNameMarker is the
name of the first traffic policy instance in the next group of
MaxItems traffic policy instances.
#traffic_policy_instance_type_marker ⇒ String
If IsTruncated is true, TrafficPolicyInstanceTypeMarker is the DNS
type of the resource record sets that are associated with the first
traffic policy instance in the next group of MaxItems traffic policy
instances.
Possible values:
- SOA
- A
- TXT
- NS
- CNAME
- MX
- NAPTR
- PTR
- SRV
- SPF
- AAAA
- CAA
#traffic_policy_instances ⇒ Array<Types::TrafficPolicyInstance>
A list that contains one TrafficPolicyInstance element for each
traffic policy instance that matches the elements in the request.